@font-face {
    font-family: Poppins;
    src: url('../ressources/fonts/Poppins-Regular.ttf');
}


* {
    --main-color-yellow: #FFCC1D;
    --main-color-blue : #113B5B;
    --main-color-white : #F4F1F0;
    --second-color-blue : #010035;
    --second-color-yellow : #FFD447;
    padding: 0;
    margin: auto;
    font-family: Poppins;
}

header{
    background-color: var(--main-color-blue);
    height: 10vh;
    width: 100%;
    display: flex;
    justify-self: center;
    align-items: center;
    border-bottom: 3px solid white;
    position: fixed;
    top: 0;
    z-index: 3;
    overflow: hidden;
}

section.aveclimagedefond {
    height: 90vh;
    background-color: rgb(105, 105, 105);
    background-image: url(../ressources/images/bg.jpg);
    background-position: top;
    background-size: cover;
    background-attachment: fixed;
    margin-top: 10vh;
    z-index: 1;
}

section.aveclacouleurdefondetletexte{
    height: 90vh;
    width: 100%;
    background-color: rgba(17, 59, 91, 0.5);
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    z-index: 2;
}

section.aveclacouleurdefondetletexte .textetitre{
    font-size: 50px;
    text-align: center;
}

section.aveclacouleurdefondetletexte .textetitre h1{
    color: var(--main-color-yellow)
}

/* POUR LES APPRENANTS */

.students {
    display: grid;
    grid-gap: 32px;
    grid-template-columns: repeat(4, 1fr);
    width: 80%;
    padding: 32px;
}

.card {
    height: 430px;
    width: 310px;
    border-radius: 5px;
    box-shadow: 0px 0px 32px -16px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    border: 1px solid #e0e0e0;
    position: relative;
}

  
.card-content {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    transition: all ease 0.6s;
}
  
.card-content-header {
    height: 50%;
}

.card-content-header img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
  
.card-content-content {
    height: 50%;
    background: #F4F1F0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}
  
.card-content-content * {
    margin: 16px;
}
  
.card-content-content h2 {
    font-size: 22px;
}
.card-content-content p {
    background: white;
    padding: 8px;
    border-radius: 5px;
}
  
.card-filter {
    position: absolute;
    height: 100%;
    width: 100%;
    background: #113B5B;
    top: 100%;
    transition: all ease 0.6s;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
}
  
.card:hover .card-filter {
    top: 0;
}
  
.card:hover .card-content {
    top: -100%;
}
  
.card-filter-header {
    text-align: center;
    padding: 16px;
}
  
.card-filter-content {
    text-align: justify;
    margin: auto;
    width: 80%;
    overflow: auto;
}

.card-filter-content p {
    overflow: auto;
    font-size: 12px;
}
  
.card-filter-footer {
    margin: auto;
    width: 90%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
  
.card-filter-footer a {
    text-decoration: none;
    color: black;
    background: #FFCC1D;
    padding: 8px;
    border-radius: 5px;
    text-align: center;
}



/* FORMULAIRE */

form{
    height: 130px;
    width: 100%;
    background-color: var(--main-color-yellow);
    overflow: hidden;
}

.form-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100%;
}

.formtop{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 60%;
    margin: auto;
}

.selector, .researchor, .checkor {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

}

.selector select, .checkor select{
    width: 200px;
    text-align: center;
    height: 35px;
    border: none;
    border-radius: 5px;
    box-shadow: 0px 0px 16px -8px rgba(0, 0, 0, 0.3);


}

.researchor input {

    height: 35px;
    width: 400px;
    border: none;
    border-radius: 5px;
    padding: 0px 8px;
    box-shadow: 0px 0px 16px -8px rgba(0, 0, 0, 0.3);

}

.divbot input{
    width: 250px;
    height: 35px;
    border: none;
    border-radius: 5px;
    background-color: var(--main-color-blue);
    color: var(--main-color-yellow);
    box-shadow: 0px 0px 16px -8px rgba(0, 0, 0, 0.3);
    transition: all ease .2s;
}

.divbot input:hover{
    cursor: pointer;
    background-color: black;
}

@media screen and (max-width: 1632px){
    .students{
        grid-template-columns: repeat(3, 1fr)!important;
    }
}

@media screen and (max-width: 1500px) {
        .formtop{
            width: 90% !important;
        }

}

@media screen and (max-width: 1050px) {
    .researchor input {
        width: 200px !important;
    }

}

@media screen and (max-width: 1240px){
    .students{
        grid-template-columns: repeat(2, 1fr)!important;
    }
}

@media screen and (max-width: 740px){
    .students{
        grid-template-columns: repeat(1, 1fr)!important;
    }

    .formtop{
        flex-direction: column;
    }

    form {
        height: 220px;
    }

    form input {
        margin: 8px;
    }
}

@media screen and (max-width: 700px){
    section.aveclacouleurdefondetletexte .textetitre{
        font-size: 30px;
        text-align: center;
    }
}